Bug 17208 - Serbian (Latin) orth file
Summary: Serbian (Latin) orth file
Status: RESOLVED MOVED
Alias: None
Product: fontconfig
Classification: Unclassified
Component: orth (show other bugs)
Version: 2.4
Hardware: Other All
: medium enhancement
Assignee: fontconfig-bugs
QA Contact: Behdad Esfahbod
URL:
Whiteboard:
Keywords:
Depends on: 19869
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 10:45 UTC by Behdad Esfahbod
Modified: 2018-08-20 21:45 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Serbian Latin orth file (100 bytes, text/plain)
2008-08-19 11:04 UTC, Danilo Segan
Details
sr.orth (80 bytes, application/octet-stream)
2008-08-19 11:05 UTC, Danilo Segan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Behdad Esfahbod 2008-08-19 10:45:58 UTC
Locale tags "sr_SR@latin" and "sr_SR@Latn".  Not sure if we correctly handle at-sign tags.  Need to.
Comment 1 Danilo Segan 2008-08-19 11:04:42 UTC
Created attachment 18390 [details]
Serbian Latin orth file
Comment 2 Danilo Segan 2008-08-19 11:05:55 UTC
Created attachment 18391 [details]
sr.orth

This is also a fixed-up sr.orth file (to include only the really relevant Serbian letters).
Comment 3 Danilo Segan 2008-08-19 11:11:04 UTC
Behdad asked me to provide sr@latin.orth, so here it is. Depending on what this is used for: if it's used to detect if a font supports a language, this should be enough.  Otherwise, there are Unicode digraphs 01c4-01cc which are commonly typed as two separate characters by Serbian people.

Also, note that sr@latin.orth is likely exactly the same as hr.orth. I have not included accented letters (Serbian allows for two tonal accents, but they are rarely used except with a few words which are ambiguous).

A fixed-up sr.orth is included as well.
Comment 4 Behdad Esfahbod 2008-08-21 14:22:17 UTC
I've committed the new sr.orth to my tree.

Danilo, if I understand correctly both the Cyrillic and the Latin writing system are used in Serbia, right?  It's not like sr_SR only uses Latin?  Neither of fontconfig and Pango currently support @ tags.  Should be easier if we could get away without it.

What needs to be done here is to be able to derive "sr@latin" from "sr_SR@latin".  *If* Uli had accepted "sr_SR@Latn", we could at least recognize the script names (it's still possible to do with latin, assuming Unicode script names instead of ISO15924 ones) and match the best orthography available.

Anyway, this bug kinda relates to adding support for scripts to fontconfig.
Comment 5 Behdad Esfahbod 2008-09-09 00:09:45 UTC
According to RFC 1766 the language tag for sr@latin would be sr-latin.  That will immediate work if we just fold @ to '-'.  Will do that for pango too.  Or does fontconfig already do that?
Comment 6 Milos Komarcevic 2008-12-09 02:17:01 UTC
FYI only:

Please note that the correct base locale tag for Serbian is sr_RS (and variants), not sr_SR (see bug #11456).

Also, according to RFC 4646 (1766 was long obsoleted by 3066, which in turn got obsoleted by 4646), the tag for the Latin script variant of the locale should be sr-Latn, not sr-latin. However, this doesn't matter, as glibc doesn't follow RFC 4646 anyway and (wrongly IMHO) uses @latin modifiers, hence the knock on effect on everything else.
Comment 7 Akira TAGOH 2011-11-14 01:06:28 UTC
BTW fontconfig doesn't support modifiers yet. need to fix it first.
Comment 8 GitLab Migration User 2018-08-20 21:45:14 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/fontconfig/fontconfig/issues/31.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.